require_relative '../lib/image_builder/builders/null.rb'

describe ImageBuilder::Builders::Null do
  before(:each) do
    @obj = ImageBuilder::Builders::Null.new
  end

  it 'has the expected default attributes' do
    expect(@obj.host).to eql '127.0.0.1'
    expect(@obj.port).to eql 22
    expect(@obj.ssh_username).to eql ENV['USER']
  end

  it 'has the correct packer type' do
    expect(@obj.type).to eql 'null'
  end

  it 'implements packer_hash()' do
    expect(@obj.respond_to? :packer_hash).to be true
  end
end
