require_relative '../lib/image_builder/post_processors/vagrant.rb'

describe ImageBuilder::PostProcessors::Vagrant do
  before(:each) do
    @obj = ImageBuilder::PostProcessors::Vagrant.new
  end

  it 'has the expected default attributes' do
    expect(@obj.compression_level).to eql 6
    expect(@obj.keep_input_artifact).to be false
  end

  it 'has the correct packer type' do
    expect(@obj.type).to eql 'vagrant'
  end

  it 'implements packer_hash()' do
    expect(@obj.respond_to? :packer_hash).to be true
  end
end
