# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'image_builder/version'

Gem::Specification.new do |spec|
  spec.name          = 'image_builder'
  spec.version       = ImageBuilder::VERSION
  spec.authors       = ['Mike Morris']
  spec.email         = ['michael.m.morris@pearson.com']
  spec.summary       = 'A gem to create operating system images using various methods'
  spec.description   = IO.read(File.join(File.dirname(__FILE__), 'README.md'))
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'

  spec.add_dependency 'mixlib-shellout'
  spec.add_dependency 'commander'
  spec.add_dependency 'cloudutil'
  spec.add_dependency 'chef', '~> 11.12'
end
