require_relative '../lib/image_builder/post_processors/compress.rb'

describe ImageBuilder::PostProcessors::Compress do
  before(:each) do
    @obj = ImageBuilder::PostProcessors::Compress.new
  end

  it 'has the correct packer type' do
    expect(@obj.type).to eql 'compress'
  end

  it 'implements packer_hash()' do
    expect(@obj.respond_to? :packer_hash).to be true
  end
end
